
echo off
cls
echo ==============================
echo ZeroHour Software Map Launcher 
echo ==============================
echo.
echo Scanning for ZeroHour Files...
echo.
if not exist begin.map echo Can't find begin.map
if not exist begdefs.con echo Can't find begdefs.con
if not exist beguser.con echo Can't find beguser.con
if not exist beggame.kon echo Can't find beggame.kon
if not exist haunted.vo_ echo Can't find haunted.vo_
if not exist robocrep.mix echo Can't find robocrep.mix
if not exist tiles012.ar_ echo Can't find tiles012.ar_
if not exist tiles015.ar_ echo Can't find tiles015.ar_



echo.
echo Backing up original game.con and demo1.dmo files

copy /y game.con gamebu.con
copy /y demo1.dmo demo1.dmm
echo Done.
echo.
echo Converting...
copy /y beggame.kon game.con
copy /y tiles012.ar_ tiles012.art
copy /y tiles015.ar_ tiles015.art
copy /y robocrep.mix robocrep.mid
copy /y haunted.vo_ haunted.voc
copy /y begin.dmm demo1.dmo

echo Done.
echo.
echo Now ready to play, hope you enjoy And So It Begins (c) ZeroHour Software 9/23/96
echo.

echo.
pause
cls
echo Hit any key to enter setup:
echo.
echo Save and Launch Duke Nukem 3d    for single player
echo Launch Modem Game                for DukeMatch
echo.
echo ***** Do not use the select level option. Choose mode*****
echo ***** of play and start normally.                    *****
echo.
pause
cls
setup
echo off
cls
echo Restoring original user.con file...

copy /y gamebu.con game.con
copy /y demo1.dmm demo1.dmo
del haunted.voc
del robocrep.mid
del tiles012.art
del tiles015.art

echo Done.
echo.
echo Deleting Temporary Files...

erase gamebu.con
erase demo1.dmm

echo Done.
echo.
echo Thanks for playing And So It Begins!!  All comments can be sent
echo to scampa@sisna.com.
echo.
echo (c) ZeroHour Software 1996
echo.
